{
  num: 338,
  accuracy: 100,
  basePower: 150,
  category: "Special",
  name: "Frenzy Plant",
  pp: 4,
  priority: 0,
  flags: { recharge: 1, protect: 1, mirror: 1, nonsky: 1, metronome: 1 },
  secondary: {
    chance: 80,
    status: "tox"
  },
  target: "normal",
  type: "Grass",
  contestType: "Cool",
  onPrepareHit(target, source, move) {
    source.addVolatile('rechargetracker');
  },
  onAfterMove(source, target, move) {
    const tracker = source.volatiles['rechargetracker'];
    if (!tracker?.gotKO) {
      source.addVolatile('mustrecharge');
    }
    source.removeVolatile('rechargetracker');
  },
  onAfterMoveSecondarySelf(source, target, move) {
    if (!target?.fainted) return;
    if (source.volatiles['rechargetracker']) {
      source.volatiles['rechargetracker'].gotKO = true;
    }
  },
} 